JMSOpenTypeSupport.AbstractOpenTypeFactory (ActiveMQ Artemis Web 1.5.3.jbossorg-002 API)
Date: 2017-02-15

org.apache.activemq.artemis.jms.management.impl.openmbean

## Class JMSOpenTypeSupport.AbstractOpenTypeFactory

- java.lang.Object
- - org.apache.activemq.artemis.jms.management.impl.openmbean.JMSOpenTypeSupport.AbstractOpenTypeFactory

- All Implemented Interfaces:
    JMSOpenTypeSupport.OpenTypeFactory
  Enclosing class:
    JMSOpenTypeSupport

      public abstract static class JMSOpenTypeSupport.AbstractOpenTypeFactory
      extends Object
      implements JMSOpenTypeSupport.OpenTypeFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOpenTypeFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addItem(String name, String description, OpenType type)`
    `protected CompositeType` | `createCompositeType()`
    `CompositeType` | `getCompositeType()`
    `protected String` | `getDescription()`
    `Map<String,Object>` | `getFields(CompositeDataSupport data)`
    `protected abstract String` | `getTypeName()`
    `protected void` | `init()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOpenTypeFactory

          public AbstractOpenTypeFactory()

  - ### Method Detail

    - #### getCompositeType

          public CompositeType getCompositeType()
                                         throws OpenDataException

      Specified by:
        `getCompositeType` in interface `JMSOpenTypeSupport.OpenTypeFactory`
      Throws:
        `OpenDataException`

    - #### init

          protected void init()
                       throws OpenDataException

      Throws:
        `OpenDataException`

    - #### createCompositeType

          protected CompositeType createCompositeType()
                                               throws OpenDataException

      Throws:
        `OpenDataException`

    - #### getTypeName

          protected abstract String getTypeName()

    - #### addItem

          protected void addItem(String name,
                                 String description,
                                 OpenType type)

    - #### getDescription

          protected String getDescription()

    - #### getFields

          public Map<String,Object> getFields(CompositeDataSupport data)
                                       throws OpenDataException

      Specified by:
        `getFields` in interface `JMSOpenTypeSupport.OpenTypeFactory`
      Throws:
        `OpenDataException`

Copyright © 2017 The Apache Software Foundation. All rights reserved.